function init()
	secret = FindBodies("spawnsecret")
	for i=1, #secret do
		local value = GetTagValue(secret[i], "spawnsecret")
		if not GetBool("savegame.mod.valuable."..value) then
			Delete(secret[i])
		else
			SetBodyActive(secret[i], true)
		end
	end
end

